Update local group information for a group in an SVM
Updates the local group information for a specified group within an SVM, which includes the ability to rename the group. Use this when you need to modify group details or change its name in your SVM configuration.
HTTP method and endpoint
PATCH /protocols/cifs/local-groups/{svm.uuid}/{sid}
Introduced in
ONTAP 9.10
Usage notes
Updates the local group information of the specified group in the specified SVM. This API can also be used to rename a local group.
Related ONTAP commands
-
vserver cifs users-and-groups local-group modify -
vserver cifs users-and-groups local-group rename
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
sid |
string |
path |
True |
Local group SID |
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
description |
string |
Description for the local group. |
members |
array[members] |
|
name |
string |
Local group name. The maximum supported length of a group name is 256 characters. |
sid |
string |
The security ID of the local group which uniquely identifies the group. The group SID is automatically generated in POST and it is retrieved using the GET method. |
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"description": "This is a local group",
"members": [
{}
],
"name": "SMB_SERVER01\\group",
"sid": "S-1-5-21-256008430-3394229847-3930036330-1001",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
655661 |
The group name and description should not exceed 256 characters. |
655668 |
The specified group name contains illegal characters. |
655675 |
The local domain name specified in the group name does not exist. |
655682 |
The group name cannot be blank. |
655712 |
To rename an existing group, the local domain specified in name must match the local domain of the group to be renamed. |
655713 |
Failed to rename a group. The error code returned details the failure along with the reason for the failure. Take corrective actions as per the specified reason. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
members
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
local_cifs_group
| Name | Type | Description |
|---|---|---|
description |
string |
Description for the local group. |
members |
array[members] |
|
name |
string |
Local group name. The maximum supported length of a group name is 256 characters. |
sid |
string |
The security ID of the local group which uniquely identifies the group. The group SID is automatically generated in POST and it is retrieved using the GET method. |
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |